package org.omg.CORBA;
/**
 * This exception indicates that the caller has invoked operations
 * in the wrong order. For example, it can be raised by an ORB if an
 * application makes an ORB-related call without having correctly
 * initialized the ORB first.
 */
public class REPLY_ALREADY_THERE extends org.omg.CORBA.SystemException
{
	//
	// Default constructor
	//

    public boolean successful=true;

	public REPLY_ALREADY_THERE(boolean successful)
	{
		super( null, 0, CompletionStatus.COMPLETED_YES );
		this.successful=successful;
	}

	//
	// Constructor with reason string
	//
	public REPLY_ALREADY_THERE( String orb_reason,boolean successful )
	{
		super( orb_reason, 0, CompletionStatus.COMPLETED_YES );
		this.successful=successful;
	}

	//
	// Constructor with fields initialization
	// @param	minor	minor exception member
	// @param	completed	completed exception member
	//
	public REPLY_ALREADY_THERE( int minor, org.omg.CORBA.CompletionStatus completed ,boolean successful)
	{
		super( null, minor, completed );
		this.successful=successful;
	}

	//
	// Full constructor with fields initialization
	// @param	minor	minor exception member
	// @param	completed	completed exception member
	//
	public REPLY_ALREADY_THERE( String orb_reason, int minor, org.omg.CORBA.CompletionStatus completed,boolean successful )
	{
		super( orb_reason, minor, completed );
		this.successful=successful;
	}
}
