package org.omg.CORBA;
/**
 * This exception indicates that the caller has invoked operations
 * in the wrong order. For example, it can be raised by an ORB if an
 * application makes an ORB-related call without having correctly
 * initialized the ORB first.
 */
public class REPLY_HERE extends org.omg.CORBA.SystemException
{
    org.omg.CORBA.portable.InputStream right_input_stream;

	//
	// Default constructor
	//
	public REPLY_HERE()
	{
		super( null, 0, CompletionStatus.COMPLETED_YES );
	}

    	public REPLY_HERE(org.omg.CORBA.portable.InputStream right_input_stream)
	{
		super( null, 0, CompletionStatus.COMPLETED_YES );
		this.right_input_stream=right_input_stream;
	}

	//
	// Constructor with reason string
	//
	public REPLY_HERE( String orb_reason )
	{
		super( orb_reason, 0, CompletionStatus.COMPLETED_YES );
	}

	//
	// Constructor with fields initialization
	// @param	minor	minor exception member
	// @param	completed	completed exception member
	//
	public REPLY_HERE( int minor, org.omg.CORBA.CompletionStatus completed )
	{
		super( null, minor, completed );
	}

	//
	// Full constructor with fields initialization
	// @param	minor	minor exception member
	// @param	completed	completed exception member
	//
	public REPLY_HERE( String orb_reason, int minor, org.omg.CORBA.CompletionStatus completed )
	{
		super( orb_reason, minor, completed );
	}

    public org.omg.CORBA.portable.InputStream right_input_stream(){
	return right_input_stream;
    }
}
