package org.omg.CORBA;
/**
 * This exception indicates that the caller has invoked operations
 * in the wrong order. For example, it can be raised by an ORB if an
 * application makes an ORB-related call without having correctly
 * initialized the ORB first.
 */
public class REQUEST_EXPIRED extends org.omg.CORBA.SystemException
{

	//
	// Default constructor
	//
	public REQUEST_EXPIRED()
	{
		super( null, 0, CompletionStatus.COMPLETED_NO );
	}

  

	//
	// Constructor with reason string
	//
	public REQUEST_EXPIRED( String orb_reason )
	{
		super( orb_reason, 0, CompletionStatus.COMPLETED_NO );
	}

	//
	// Constructor with fields initialization
	// @param	minor	minor exception member
	// @param	completed	completed exception member
	//
	public REQUEST_EXPIRED( int minor, org.omg.CORBA.CompletionStatus completed )
	{
		super( null, minor, completed );
	}

	//
	// Full constructor with fields initialization
	// @param	minor	minor exception member
	// @param	completed	completed exception member
	//
	public REQUEST_EXPIRED( String orb_reason, int minor, org.omg.CORBA.CompletionStatus completed )
	{
		super( orb_reason, minor, completed );
	}
}
